from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

pyscf = PySCF(frag=water, method="dft", functional="blyp", basis="3-21g")

sp = SP(theory=pyscf)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf
#eref = -75.946904963176
# convergence=tightscf
#eref = -75.946904763052
# ORCA 5.0.3
#eref = -75.94688949

# pyscf reference
eref = -75.946889460

testutils.validate(ecalc, eref)
